package main

import (
	"fmt"
	"os"

	"dev.ccchb.de/humm/z1/pay"
)

var commands = map[string]func([]string){
	"pay": pay.Main,
}

func usage() {
	fmt.Fprintf(os.Stderr, "usage: %s pay [args ...]\n", os.Args[0])
	os.Exit(1)
}

func main() {
	if len(os.Args) < 2 {
		usage()
	}
	commands[os.Args[1]](os.Args[1:])
}
